Complete login checkpoint
curl --request POST \
--url https://app.oryzacloud.app/auth/login/checkpoint \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"confirmation_token": "b6e22f85d63c4d9db9739f9ab0a27a48f51f7ad38ef8c12fd157c4c6f4b2e51d",
"authentication_code": "123456",
"recovery_token": "r1a2b3c4d5"
}
'import requests
url = "https://app.oryzacloud.app/auth/login/checkpoint"
payload = {
"confirmation_token": "b6e22f85d63c4d9db9739f9ab0a27a48f51f7ad38ef8c12fd157c4c6f4b2e51d",
"authentication_code": "123456",
"recovery_token": "r1a2b3c4d5"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
confirmation_token: 'b6e22f85d63c4d9db9739f9ab0a27a48f51f7ad38ef8c12fd157c4c6f4b2e51d',
authentication_code: '123456',
recovery_token: 'r1a2b3c4d5'
})
};
fetch('https://app.oryzacloud.app/auth/login/checkpoint', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.oryzacloud.app/auth/login/checkpoint",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'confirmation_token' => 'b6e22f85d63c4d9db9739f9ab0a27a48f51f7ad38ef8c12fd157c4c6f4b2e51d',
'authentication_code' => '123456',
'recovery_token' => 'r1a2b3c4d5'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.oryzacloud.app/auth/login/checkpoint"
payload := strings.NewReader("{\n \"confirmation_token\": \"b6e22f85d63c4d9db9739f9ab0a27a48f51f7ad38ef8c12fd157c4c6f4b2e51d\",\n \"authentication_code\": \"123456\",\n \"recovery_token\": \"r1a2b3c4d5\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.oryzacloud.app/auth/login/checkpoint")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"confirmation_token\": \"b6e22f85d63c4d9db9739f9ab0a27a48f51f7ad38ef8c12fd157c4c6f4b2e51d\",\n \"authentication_code\": \"123456\",\n \"recovery_token\": \"r1a2b3c4d5\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.oryzacloud.app/auth/login/checkpoint")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"confirmation_token\": \"b6e22f85d63c4d9db9739f9ab0a27a48f51f7ad38ef8c12fd157c4c6f4b2e51d\",\n \"authentication_code\": \"123456\",\n \"recovery_token\": \"r1a2b3c4d5\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"complete": true,
"intended": "/",
"user": {
"uuid": "9a8b7c6d-5e4f-4321-9876-123456789abc",
"username": "admin",
"email": "admin@example.com",
"name_first": "Admin",
"name_last": "User",
"language": "en",
"root_admin": true,
"use_totp": false,
"gravatar": true,
"created_at": "2026-06-29T12:00:00+00:00",
"updated_at": "2026-06-29T12:00:00+00:00",
"identifier": "usr_1a2b3c4d"
}
}
}{
"errors": [
{
"code": "<string>",
"status": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"code": "<string>",
"status": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"code": "<string>",
"status": "<string>",
"detail": "<string>",
"source": {
"field": "<string>"
}
}
]
}Autenticação
Checkpoint 2FA
Valida o código de autenticação em duas etapas (TOTP) durante o login.
POST
/
auth
/
login
/
checkpoint
Complete login checkpoint
curl --request POST \
--url https://app.oryzacloud.app/auth/login/checkpoint \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"confirmation_token": "b6e22f85d63c4d9db9739f9ab0a27a48f51f7ad38ef8c12fd157c4c6f4b2e51d",
"authentication_code": "123456",
"recovery_token": "r1a2b3c4d5"
}
'import requests
url = "https://app.oryzacloud.app/auth/login/checkpoint"
payload = {
"confirmation_token": "b6e22f85d63c4d9db9739f9ab0a27a48f51f7ad38ef8c12fd157c4c6f4b2e51d",
"authentication_code": "123456",
"recovery_token": "r1a2b3c4d5"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
confirmation_token: 'b6e22f85d63c4d9db9739f9ab0a27a48f51f7ad38ef8c12fd157c4c6f4b2e51d',
authentication_code: '123456',
recovery_token: 'r1a2b3c4d5'
})
};
fetch('https://app.oryzacloud.app/auth/login/checkpoint', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.oryzacloud.app/auth/login/checkpoint",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'confirmation_token' => 'b6e22f85d63c4d9db9739f9ab0a27a48f51f7ad38ef8c12fd157c4c6f4b2e51d',
'authentication_code' => '123456',
'recovery_token' => 'r1a2b3c4d5'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.oryzacloud.app/auth/login/checkpoint"
payload := strings.NewReader("{\n \"confirmation_token\": \"b6e22f85d63c4d9db9739f9ab0a27a48f51f7ad38ef8c12fd157c4c6f4b2e51d\",\n \"authentication_code\": \"123456\",\n \"recovery_token\": \"r1a2b3c4d5\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.oryzacloud.app/auth/login/checkpoint")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"confirmation_token\": \"b6e22f85d63c4d9db9739f9ab0a27a48f51f7ad38ef8c12fd157c4c6f4b2e51d\",\n \"authentication_code\": \"123456\",\n \"recovery_token\": \"r1a2b3c4d5\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.oryzacloud.app/auth/login/checkpoint")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"confirmation_token\": \"b6e22f85d63c4d9db9739f9ab0a27a48f51f7ad38ef8c12fd157c4c6f4b2e51d\",\n \"authentication_code\": \"123456\",\n \"recovery_token\": \"r1a2b3c4d5\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"complete": true,
"intended": "/",
"user": {
"uuid": "9a8b7c6d-5e4f-4321-9876-123456789abc",
"username": "admin",
"email": "admin@example.com",
"name_first": "Admin",
"name_last": "User",
"language": "en",
"root_admin": true,
"use_totp": false,
"gravatar": true,
"created_at": "2026-06-29T12:00:00+00:00",
"updated_at": "2026-06-29T12:00:00+00:00",
"identifier": "usr_1a2b3c4d"
}
}
}{
"errors": [
{
"code": "<string>",
"status": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"code": "<string>",
"status": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"code": "<string>",
"status": "<string>",
"detail": "<string>",
"source": {
"field": "<string>"
}
}
]
}Resposta
string
Tipo de recurso retornado pela API (ex:
server, stats, list, api_key).object
Atributos detalhados do recurso retornado.
Exemplo de Uso
curl -X POST "https://app.oryzacloud.app/auth/login/checkpoint" \
-H "Accept: application/json" \
-H "Content-Type: application/json"
const response = await fetch("https://app.oryzacloud.app/auth/login/checkpoint", {
method: "POST",
headers: {
"Accept": "application/json",
"Content-Type": "application/json"
}
});
const data = await response.json();
console.log(data);
Autorizações
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Corpo
application/json
The confirmation token returned by the login endpoint.
Exemplo:
"b6e22f85d63c4d9db9739f9ab0a27a48f51f7ad38ef8c12fd157c4c6f4b2e51d"
The six-digit TOTP code. Required when recovery_token is not provided.
Exemplo:
"123456"
A recovery token. Required when authentication_code is not provided.
Exemplo:
"r1a2b3c4d5"
Resposta
Login completed and a browser session was created.
Show child attributes
Show child attributes